curl https://api.247calldesk.com/api/v1/voice/usage/history?limit=3 \
-H "Authorization: Bearer calldesk_abc123"
{
"periods": [
{
"period_start": "2026-04-01T00:00:00Z",
"period_end": "2026-04-30T23:59:59Z",
"status": "DIALER_ACTIVE",
"committed_minutes": 250000,
"actual_minutes_used": 42150
},
{
"period_start": "2026-03-01T00:00:00Z",
"period_end": "2026-03-31T23:59:59Z",
"status": "DIALER_COMPLETED",
"committed_minutes": 250000,
"actual_minutes_used": 231400
}
],
"next_cursor": null
}
Get historical usage across billing periods.
curl https://api.247calldesk.com/api/v1/voice/usage/history?limit=3 \
-H "Authorization: Bearer calldesk_abc123"
{
"periods": [
{
"period_start": "2026-04-01T00:00:00Z",
"period_end": "2026-04-30T23:59:59Z",
"status": "DIALER_ACTIVE",
"committed_minutes": 250000,
"actual_minutes_used": 42150
},
{
"period_start": "2026-03-01T00:00:00Z",
"period_end": "2026-03-31T23:59:59Z",
"status": "DIALER_COMPLETED",
"committed_minutes": 250000,
"actual_minutes_used": 231400
}
],
"next_cursor": null
}
curl https://api.247calldesk.com/api/v1/voice/usage/history?limit=3 \
-H "Authorization: Bearer calldesk_abc123"
{
"periods": [
{
"period_start": "2026-04-01T00:00:00Z",
"period_end": "2026-04-30T23:59:59Z",
"status": "DIALER_ACTIVE",
"committed_minutes": 250000,
"actual_minutes_used": 42150
},
{
"period_start": "2026-03-01T00:00:00Z",
"period_end": "2026-03-31T23:59:59Z",
"status": "DIALER_COMPLETED",
"committed_minutes": 250000,
"actual_minutes_used": 231400
}
],
"next_cursor": null
}